public class Kunde{
    // Attribute
    private Artikel[] einkaeufe;
    private String name;
    private int maxArtikelZahl = 10;
    private Supermarkt supermarkt;
    // Konstruktor
    public Kunde(String newName, Supermarkt aktSupermarkt) {
        name = newName;
        einkaeufe = new Artikel[maxArtikelZahl];
        supermarkt = aktSupermarkt;

        for (int i=0; i<maxArtikelZahl; i++) {
            inDenWagen(supermarkt.getRandomArtikel());            
        }
    }

    public void testIt() {
        inDenWagen(new Artikel(9.99, 1, "Cola"));
        inDenWagen(new Artikel(0.98, 3, "Schokolade"));
        inDenWagen(new Artikel(2.39, 7, "Chips"));
        inDenWagen(new Artikel(1.69, 31, "Salzstangen"));
        System.out.println(alleArtikel());
        System.out.println(gesamtPreis());
        System.out.println("Chips rausnehmen");
        ausDemWagen(einkaeufe[2].getArtNr());
        System.out.println(alleArtikel());
        System.out.println(gesamtPreis());
    }
    // Dienste
    public void setName(String newName) {
        name=newName;   
    }
    
    public String getName() {
        return name;    
    }
    
    //Gibt alle Artikel als String an die aufrufende Funktion zurck
    public String alleArtikel() {
        String erg="";
        for (int i=0; i<maxArtikelZahl; i++) {
           if (einkaeufe[i]!=null)
            erg += einkaeufe[i].getDaten()+"\n";
        }
        return erg;
    }
    
    //Gibt alle Artikel auf der Konsole aus
    public void printalleArtikel() {
        String erg="";
        for (int i=0; i<maxArtikelZahl; i++) {
           if (einkaeufe[i]!=null)
            erg += einkaeufe[i].getDaten()+"\n";
        }
        System.out.println(erg);
    }

    public double gesamtPreis() {
        double erg=0.0;
        for (int i=0; i<maxArtikelZahl; i++) {
           if (einkaeufe[i]!=null)
            erg += einkaeufe[i].getPreis();
        }
        return erg;
    }
    
    public Boolean inDenWagen(Artikel neuerArtikel) {
        Boolean erg=false;
        for (int i=0; i<maxArtikelZahl; i++) {
            if (einkaeufe[i]==null) {
                einkaeufe[i] = neuerArtikel;
                erg=true;
                break;
            }
        }
        return erg;
    }

    public Boolean ausDemWagen(int aktArtNr) {
        Boolean erg=false;
        for (int i=0; i<maxArtikelZahl; i++) {
            if (einkaeufe[i]!=null && einkaeufe[i].getArtNr()==aktArtNr) {
                einkaeufe[i] = null;
                erg=true;
                break;
            }
        }
        return erg;
    }
}
